Package com.sun.jna.platform.mac

## Class DiskArbitration.DADiskRef

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.mac.CoreFoundation.CFTypeRef
    - - com.sun.jna.platform.mac.DiskArbitration.DADiskRef

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  DiskArbitration

    public static class DiskArbitration.DADiskRef
    extends CoreFoundation.CFTypeRef

Type of a reference to `DADisk` instances.

### Constructor Summary

Constructors
`DADiskRef()`

### Method Summary

### Methods inherited from class com.sun.jna.platform.mac.CoreFoundation.CFTypeRef

`getTypeID, isTypeID, release, retain`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DADiskRef

    public DADiskRef()